/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package demo;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * This class is a sample for a class to be tested by the testing framework. It serves as placeholder for the complex
 * JSP/servlet/Filter implementations that are to be tested using the testing framework.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class DemoServlet {
    /**
     * This method exists as placeholder for a method to be tested. The side effects produced by this method are tested
     * using the test cases of this demo.
     *
     * @param request  the current HttpServletRequest on which to operate
     * @param response the response for the request
     */
    public void saveToSession(final HttpServletRequest request, final HttpServletResponse response) {
        final String testparam = request.getParameter("testparam");
        request.getSession().setAttribute("testAttribute", testparam);
        response.addCookie(new Cookie("initialized", "true"));
    }
}
